<?php
require ("Conexion/Conexion.php");
require('lib/lib.php');
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
	
	if($_POST['UsuarioWebID'] != '') {
		if(preg_match("/^[[:digit:]]+$/", $_POST['UsuarioWebID'])){
			if($_POST['Nombre'] != ''){
				if(strlen($_POST['Nombre']) >= 4 && strlen($_POST['Nombre']) <= 50){
					if(preg_match("/^[ a-zA-Z\d.]{2,50}$/i", $_POST['Nombre'])){
						if($_POST['Usuario'] != ''){
							if(strlen($_POST['Usuario']) >= 4 && strlen($_POST['Usuario']) <= 15){
								if(preg_match("/^[a-zA-Z0-9\d_-]{4,15}$/i", $_POST['Usuario'])){
									if($_POST['Correo'] != ''){
										if(strlen($_POST['Correo']) >= 6 && strlen($_POST['Correo']) <= 50){
											if(check_email_address($_POST['Correo'])){
												if($_POST['Password'] != ''){
													if(strlen($_POST['Password']) >= 3 && strlen($_POST['Password']) <= 15){
														if(preg_match("/^[a-zA-Z0-9]{3,15}$/i", $_POST['Password'])){
															if($_POST['Grupo'] != ''){
																if(preg_match("/^[[:digit:]]+$/", $_POST['Grupo'])){
																	$UsuarioWebID2 = $_POST['UsuarioWebID'];
																	$ClienteID = $_SESSION['ClienteID'];
																	$Nombre = strtoupper($_POST['Nombre']);
																	$Usuario = strtoupper($_POST['Usuario']);
																	$Correo = strtoupper($_POST['Correo']);
																	$Password = strtoupper($_POST['Password']);
																	$Grupo = $_POST['Grupo'];
																	$Bandera = 1;
																	if($_POST['Departamento'] != ''){
																		if(strlen($_POST['Departamento']) >= 5 && strlen($_POST['Departamento']) <= 50){
																			if(preg_match("/^[a-zA-Z0-9]{5,50}$/i", $_POST['Departamento']))
																				$Departamento = strtoupper($_POST['Departamento']);
																			else
																				$Bandera = "<p class='error'>El nombre de Departamento solo acepta números y letras!</p>";	
																		}else
																			$Bandera = "<p class='error'>El Nombre del Departamento esta fuera del rango permitido de caracteres!</p>";
																	}else
																		$Departamento = NULL;									
																		
																	if(preg_match("/^[[:digit:]]{1,1}$/i", $_POST['Admin'])){
																		if($_POST['Admin'] < 2)
																			$Administrador = $_POST['Admin'];
																		else
																			$Bandera = "<p class='error'>La Opcion del Administrador esta fuera del rango!</p>";
																	}else
																		$Bandera = "<p class='error'>La Opcion del Administrador debe ser númerica!</p>";
																	if($Bandera == 1){
																		$Tabla = "Modificacion del Usuario:".$UsuarioWebID2;
																		$QueryUsuario = mssql_query("SELECT * FROM UsuarioWeb WHERE UsuarioWebID = '$UsuarioWebID2' AND ClienteID = '$ClienteID'");
																		if(mssql_num_rows($QueryUsuario) >= 1){
																		
																			$EvaluarUsuario= mssql_fetch_array($QueryUsuario);
																			
																			if($EvaluarUsuario['Nombre'] != $Nombre){
																				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																				$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Nombre', 
																				$EvaluarUsuario['Nombre'], $Nombre);
																				$Bandera2 = 1;		
																			}
																			if($EvaluarUsuario['Usuario'] != $Usuario){
																				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																				$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Usuario', 
																				$EvaluarUsuario['Usuario'], $Usuario);
																				$Bandera2 = 1;	
																			}
																			if($EvaluarUsuario['Email'] != $Correo){
																				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																				$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Email', 
																				$EvaluarUsuario['Email'], $Correo);
																				$Bandera2 = 1;		
																			}
																			if($EvaluarUsuario['Administrador'] != $Administrador){
																				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																				$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Administrador', 
																				$EvaluarUsuario['Administrador'], $Administrador);
																				$Bandera2 = 1;		
																			}
																			if($EvaluarUsuario['Clave'] != $Password){
																				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																				$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Clave', 
																				$EvaluarUsuario['Clave'], $Password);
																				$Bandera2 = 1;		
																			}
																			if($EvaluarUsuario['Usuario'] != $Usuario){
																				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																				$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Usuario', 
																				$EvaluarUsuario['Usuario'], $Usuario);
																				$Bandera2 = 1;		
																			}
																			if($EvaluarUsuario['Departamento'] != $Departamento){
																				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																				$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Departamento', 
																				$EvaluarUsuario['Departamento'], $Departamento);
																				$Bandera2 = 1;
																			}
																			if($EvaluarUsuario['SeccionWebID'] != $Grupo){
																				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'],
																				$_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'SeccionWebID', 
																				$EvaluarUsuario['SeccionWebID'], $Grupo);
																				$Bandera2 = 1;		
																			}
																		}else
																			echo "<p class='error'>El Usuario seleccionado no pertenece al Cliente/Usuario Autenticado!</p>";
																	}else
																		echo $Bandera;
																	if($Bandera2 == 1){
																		$QueryUpdate = mssql_query("UPDATE UsuarioWeb SET Nombre = '$Nombre', Usuario = '$Usuario', Clave = '$Password', 
																		Administrador = '$Administrador', Departamento= '$Departamento',  Email = '$Correo', SeccionWebID = '$Grupo' 
																		WHERE UsuarioWebID = '$UsuarioWebID2'");
																		echo "Modificado";
																	}
																}else
																	echo "<p class='error'>El Grupo solo acepta números!</p>";
															}else
																echo "<p class='error'>Seleccione el Grupo para el Usuario!</p>";
														}else
															echo "<p class='error'>La Contraseña solo acepta números y letras!</p>";
													}else
														echo "<p class='error'>La Contraseña esta fuera del rango permitido de caracteres!</p>";
												}else
													echo "<p class='error'>Escriba la Contraseña!</p>";
											}else
												echo "<p class='error'>Escriba un Correo Electrónico válido!</p>";
										}else
											echo "<p class='error'>El Correo Electrónico esta fuera del rango permitido de caracteres!</p>";
									}else
										echo "<p class='error'>Escriba el Correo Electrónico!</p>";			
								}else
									echo "<p class='error'>El Nick del Usuario solo acepta números y letras!</p>";	
							}else
								echo "<p class='error'>El Nick de Usuario esta fuera del rango permitido de caracteres!</p>";
						}else
							echo "<p class='error'>Escriba el Nick del Usuario!</p>";
					}else
						echo "<p class='error'>El Nombre del Usuario solo acepta letras!</p>";
				}else
					echo "<p class='error'>El Nombre del usuario esta fuera del rango permitido de caracteres!</p>";
			}else
				echo "<p class='error'>Escriba el Nombre del Usuario!</p>";
		}else
			echo "<p class='error'>El Usuario seleccionado no es válido!</p>";
	}else 
		echo "<p class='error'>Seleccione un Usuario para modificar!</p>";
}
?>